[API Reference](../README.md) > [EventPreProcessorReturn](../interfaces/EventPreProcessorReturn.md)



# Interface: EventPreProcessorReturn

## Type parameters
#### TEventArgs 

## Properties
<a id="error"></a>

###  error

**●  error**:  *`Error`* 

*Defined in [web3EventService.ts:382](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L382)*





___

<a id="log"></a>

###  log

**●  log**:  *`Array`.<`DecodedLogEntryEvent`.<`TEventArgs`>>* 

*Defined in [web3EventService.ts:382](https://github.com/daostack/arc.js/blob/f343aa24/lib/web3EventService.ts#L382)*





___


